# Enum ZooInspectorNodeViewersDialog.Button

java.lang.Object
java.lang.Enum<ZooInspectorNodeViewersDialog.Button>
org.apache.zookeeper.inspector.gui.ZooInspectorNodeViewersDialog.Button

All Implemented Interfaces:
  `Serializable, Comparable<ZooInspectorNodeViewersDialog.Button>`

Enclosing class:
  `ZooInspectorNodeViewersDialog`

public static enum ZooInspectorNodeViewersDialog.Button extends Enum<ZooInspectorNodeViewersDialog.Button>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`add`
`down`
`load`
`remove`
`save`
`setDefaults`
`up`

## Method Summary

Modifier and Type
Method
Description
`JButton`
`createJButton(IconResource iconResource)`
`static ZooInspectorNodeViewersDialog.Button`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ZooInspectorNodeViewersDialog.Button[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### up

public static final ZooInspectorNodeViewersDialog.Button up

### down

public static final ZooInspectorNodeViewersDialog.Button down

### add

public static final ZooInspectorNodeViewersDialog.Button add

### remove

public static final ZooInspectorNodeViewersDialog.Button remove

### save

public static final ZooInspectorNodeViewersDialog.Button save

### load

public static final ZooInspectorNodeViewersDialog.Button load

### setDefaults

public static final ZooInspectorNodeViewersDialog.Button setDefaults

## Method Details

### values

public static ZooInspectorNodeViewersDialog.Button[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ZooInspectorNodeViewersDialog.Button valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### createJButton

public JButton createJButton(IconResource iconResource)